#
# spec file for package libexif (Version 0.6.14)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils doxygen e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libpng libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libexif
BuildRequires:  doxygen
Url:            http://libexif.sourceforge.net
License:        LGPL v2.1 or later
Group:          Development/Libraries/C and C++
Summary:        An EXIF Tag Parsing Library for Digital Cameras
Version:        0.6.14
Release:        22
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2
Patch0:         libexif-fixpkgconfig.patch
Patch1:         libexif-cve-2007-2645.patch
Patch2:         libexif-cve-2006-4168.patch
Patch3:         libexif-CVE-2007-6351-CVE-2007-6352.patch

%description
This library is used to parse EXIF information from JPEGs created by
digital cameras.



Authors:
--------
    Lutz Mller <lutz@users.sourceforge.net>
    Curtis Galloway <curtisg@users.sourceforge.net>

%debug_package
%prep 
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p0

%build
export CFLAGS="$RPM_OPT_FLAGS -g -fstack-protector"
./configure 					\
	--with-doc-dir=%_defaultdocdir/%name/	\
	--prefix=/usr				\
	--libdir=%{_libdir}			\
	--disable-static
make

%install
make DESTDIR=${RPM_BUILD_ROOT}/ install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc %_defaultdocdir/%name
%{_libdir}/lib*
/usr/share/locale/*/LC_MESSAGES/libexif*.mo
/usr/include/*
%{_libdir}/pkgconfig/*

%changelog
* Wed Jan 09 2008 - meissner@suse.de
- fixed infinite recursion (CVE-2007-6351) and integer overflow problems
  (CVE-2007-6352) #348748
* Wed Jun 13 2007 - meissner@suse.de
- fixed a integer overflow in loading entries. (CVE-2006-4168, #283368)
* Wed Jun 06 2007 - meissner@suse.de
- fixed a denial of service problem / crash (CVE-2007-2645, #281287)
* Tue Oct 17 2006 - meissner@suse.de
- Lots of Makernote enhancements, for both Canon and Nikon.
- Updated german translation.
* Wed Sep 27 2006 - meissner@suse.de
- fixed compilation problem (min -> MIN, max -> MAX)
* Wed Sep 27 2006 - meissner@suse.de
- updgraded to current versions
	- bugfixes
	- some more Canon MakerNote entries added
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - meissner@suse.de
- applied fix for crash in bad exif data #144008
* Mon Jan 16 2006 - meissner@suse.de
- use -fstack-protector.
* Tue Jan 03 2006 - meissner@suse.de
- Upgraded to 0.6.13 final.
* Mon Oct 10 2005 - meissner@suse.de
- Updated to current CVS, dropped old patches.
	- german translation mostly done (by myself)
	- bugfix for crash in COPYRIGHT tag handling #118991
* Wed Aug 31 2005 - meissner@suse.de
- Use RPM_OPT_FLAGS.
- Merged fixes from HEAD CVS, almost only Canon Maker Note
  related. This also fixes #114360
* Thu Jul 21 2005 - meissner@suse.de
- Upgraded to latest CVS snapshot.
- Build doxygen documentation.
* Fri Apr 01 2005 - meissner@suse.de
- fixed libexif.pc to make exif users compile again.
* Thu Mar 31 2005 - meissner@suse.de
- upgraded to 0.6.13 CVS.
- fixed one gcc4 problem.
- no executeable stack needed.
* Mon Mar 07 2005 - meissner@suse.de
- fixed another bug which might lead to a crash.
* Thu Jan 13 2005 - meissner@suse.de
- Fixed lots of bugs which could lead to crashes.
* Mon Oct 18 2004 - meissner@suse.de
- Upgraded to 0.6.12 CVS (right after 0.6.11 release).
- outsourcing memory management possible.
- lots of bugfixes.
* Thu Jul 29 2004 - meissner@suse.de
- Updated to 0.6.10 (CVS HEAD):
- lots of fixes in makernotes and general stability.
- changed ABI of 1 function to pass length, so it cannot
  overflow its buffer.
- new SO major version of library (libexif5 includes the
  old SO major version as compat).
* Thu Jun 17 2004 - meissner@suse.de
- Handle size of maker notes correctly during save,
  do not overwrite random memory. #41520
* Mon Feb 23 2004 - meissner@suse.de
- downgrade to 0.5.12 release, since the newer ones contains
  ABI changes which have not yet migrated to all the tools.
* Mon Feb 23 2004 - meissner@suse.de
- Upgraded to upstream 0.5.13:
	- bugfixes and some new features.
	- merged with libmnote
* Wed Oct 15 2003 - meissner@suse.de
- don't build as root.
* Wed Aug 06 2003 - meissner@suse.de
- Upgreaded to upstream 0.5.12:
	- fixed endless loops and crashes on invalid exif data.
	- translation updates.
* Mon Jul 21 2003 - meissner@suse.de
- Upgraded to upstream 0.5.10.
* Tue May 13 2003 - meissner@suse.de
- Upgraded to current CVS 0.5.9 (just some bugfixes).
- Package translations too.
* Wed Jan 08 2003 - meissner@suse.de
- Upgraded to upstream 0.5.9.
* Mon Dec 02 2002 - meissner@suse.de
- Upgraded to upstream 0.5.7.
* Mon Nov 18 2002 - meissner@suse.de
- Upgraded to 0.5.6 in preparation of gphoto2-2.1.1.
* Wed Jul 24 2002 - meissner@suse.de
- Upgraded to 0.5.3. Do not include static libraries.
* Mon Feb 11 2002 - meissner@suse.de
- make sure we do not include -I/usr/include into the cflags got from pkgconfig
  or we confuse gcc 3 -Wall -Werror
* Mon Feb 04 2002 - meissner@suse.de
- JPEG/EXIF tag parsing library for use by gphoto / gtkam
  (EXIF tags store EXtended InFormation of images taking by digital cameras)
